<?php
/*
Plugin Name: Session handling by JotForm Ben
Plugin URI: 
Description: This plugin will create a session and save it for later.
Version: 1.0.0
Author: JotForm Ben
License: GPL2
*/

/*  Copyright 2014  JotForm Ben  (email : jotform.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/*
	This was based on the code here: http://silvermapleweb.com/using-the-php-session-in-wordpress/	
*/

//A bit of security..
if(!defined('ABSPATH')) { exit; }

add_action('init', array('jotform_affiliate_sid_capture', 'start_session'), 1);
add_action('wp_logout', array('jotform_affiliate_sid_capture', 'end_session'));
add_action('wp_login', array('jotform_affiliate_sid_capture', 'end_session'));

class jotform_affiliate_sid_capture
{
	function start_session()		{ if(!session_id()) { session_start(); } if(!isset($_SESSION['SID'])) { $_SESSION['SID'] = $_GET['sid']; } }
	function end_session()		  { session_destroy (); }

	public function get_jotform($params)
	{
		$pd = array
		(
			'url'				=> '',
			'width'			=> 600,
			'height'		=> 700,
			'class'     => 'jotform_iframe',
			'framesize' => 0
		);

    $sid = (isset($_SESSION['SID'])) ? $_SESSION['SID'] : 0;

		foreach($params as $key => $value)
		{
			if(isset($pd[$key]))
			{
				$pd[$key] = $value;
			}
		}

		$ret = '<iframe class="'.$pd['class'].'" src="'.$pd['url'].'?sid='.$sid.'" width="'.$pd['width'].'" height="'.$pd['height'].'" frameborder="'.$pd['framesize'].'"></iframe>';

		return $ret;
	}
}

add_shortcode('jotform_affiliate_links', array('jotform_affiliate_sid_capture', 'get_jotform'));
?>